• Le point sur les versions d'openSUSE (Février 2016)

    En Février 2016, on peut dénombrer pas moins de 4 versions maintenues d'openSUSE. Voici ce qu'on peut en dire, en commençant par la plus utile et en finissant par la plus confidentielle. Il s'agit des distributions maintenues, c'est à dire pour lesquelles au moins les mises à jour de sécurité sont disponibles.

    Leap 42.1


    Leap est destinée à devenir la distribution openSUSE stable pour les années à venir. '''Elle ne sera pas disponible pour les processeurs 32 bits'''.

    Sa genèse a été annoncée lors de la convention openSUSE en Mai 2015, à La Haye aux Pays Bas. Elle résulte de la fusion de la ligne de distributions qui s'est donc terminée avec la openSUSE 13.2 et de la version professionnelle SLED (SUSE Linux Enterprise Desktop).

    Son socle professionnel assure une très haute fiabilité à la fois de façon instantanée pour son usage quotidien et dans le temps, la maintenance étant annoncée pour trois ans, et si tout se passe bien, probablement 5 ans (SLED est maintenue pendant 14 (quatorze) ans).

    Elle convient aussi bien pour le bureau que pour un serveur, permettant une gestion intégrée d'un parc, avec la même distribution sur toutes les machines.

    Son fonctionnement va être très différent de celui des versions 13.1 et 13.2 (voir plus bas). Étant donné que son lancement date du 4 Novembre 2015, nous ne saurons pas avant fin 2016 comment tout va se passer concrètement, mais les mises à jour vont se passer comme celles de SLED, c'est à dire:

    * les mises à jour de sécurité et mineures auront lieu quand elles seront nécessaires, au besoin chaque jour.
    * tous les ans, quand SLED sort un "service pack", il y aura également une mise à jour majeure dont le contenu reste à définir, mais qui devrait se passer sans difficulté, tous les points de friction devant être gommés par les tests précédents. A ce moment il y aura - peut-être - un passage au numéro de poids faible suivant (42.2 puis 42.3...).
    * Quand SLED passera de la version 12 à la version 13, Leap passera de 42 à 43 (sans doute).

    Les interrogations viennent juste de la jeunesse de cette version, la communauté openSUSE en fera ce qu'elle veut.
    Des mises à jour majeures ayant lieu tous les ans (contre tous les 18 moins pour l'ancienne openSUSE), elle devraient se passer sans souci.

    Tumbleweed (TW)


    Tumbleweed est ce buisson qu'on voit rouler au gré du vent dans les westerns. Pour openSUSE "Tumbleweed est la distribution en publication continue".

    Ce type de distribution entraîne des inconvénients qu'il faut énoncer (et annoncer) immédiatement: on ne peut être sûr que tout va fonctionner après une mise à jour, et il y en a deux à trois par semaine...

    De plus il faut une bonne liaison internet pour faire ces mises à jour.

    Vous n'aurez aucun problème de sécurité avec TW, mais par contre la stabilité... En particulier les pilotes propriétaires (Nvidia ou AMD) sont sans doute inutilisables, il n'est pas indiqué de l'utiliser comme hôte pour les machines virtuelles (Virtualbox ou autres).

    Par contre vous êtes assuré de disposer de la version la plus récente de toutes vos applications. Il y a donc deux "clientèles": ceux qui ont absolument besoin d'une version récente et ne peuvent pas la compiler eux-même et ceux qui aiment bien "jouer" avec les derniers produits. Les développeurs peuvent aussi être intéressés.

    TW n'est pas si instable que ça, elle change juste très souvent et il faut être prêt à accompagner ces changements.

    Son existence est rendue possible par une infrastructure très au point, essentiellement l'OBS (Open Build Service) et https://openqa.opensuse.org/|openQA. openQA est un système de test automatique qui permet de dire si la distribution est homogène et fonctionne ou pas. Suivez le lien ci-contre pour voir. openQA est amélioré sans arrêts.

    L'OBS est la centrale de construction des briques d'openSUSE, les briques étant les paquets. Tous les paquets de la distribution sont construits là. Tout paquet distribué par openSUSE se compile sur la distribution grâce au système OBS intégré. La particularité de l'OBS c'est que l'intégration de tous les paquets les uns avec les autres est vérifiée. Tout dévelopeur volontaire peut avoir un compte sur l'OBS et ainsi tester son travail.

    Il faut parfois une journée entière pour avoir un paquet compilé dans l'OBS, souvent plus pour qu'une nouvelle distribution passe les test d'openQA.

    TW est la distribution qui sert à tester la version de SLED de la prochaine génération, mais en ce moment (Février 2016), TW est plus proche d'openSUSE 13.2 que de Leap.

    openSUSE 13.2

    openSUSE 13.2 est la dernière distribution grand public complètement gérée par le projet openSUSE. Elle devrait être arrêtée depuis longtemps, mais les perturbations entraînées par Leap ont provoqué une extension de sa période de maintenance, sans doute jusqu'à fin 2016.

    Elle reste à ce jour la version la plus stable, à égalité avec Leap, et la moins perturbante pour les habitués d'openSUSE, Leap ayant entraîné quelques retours en arrière. Néanmoins si vous installez une nouvelle openSUSE, il est sûrement préférable d'installer Leap. Si vous avez 13.2 vous pouvez la garder sans souci.

    openSUSE 13.1 Evergreen

    openSUSE 13.1 a été choisie pour devenir "Evergreen", donc "Long Term Support" avant l'annonce de Leap. Sa maintenance par openSUSE s'est arrêtée fin 2015 et a été reprise par le groupe Evergreen à ce moment, aucun changement n'est nécessaire dans votre configuration.

    Beaucoup de serveurs tournent encore sur 13.1. Elle sera maintenue jusqu'à fin 2016 au moins, la suite dépendant du nombre de volontaires. Si la transition de Leap avec son premier service pack se passe comme prévu, c'est à dire sans heurts, il est peu probable que le projet Evergreen soit prorogé, 13.1 sera donc arrêtée à ce moment.

    openSUSE 11.4


    openSUSE 11.4 est la version Evergreen avant 13.1, sa maintenance a été arrêtée en Juillet 2015. L'usage d'une machine 11.4 connectée à internet est franchement déconseillé (https://en.opensuse.org/11.4).
    Cet article a été publié dans le sujet du forum : openSUSE en Février 2016 Démarré par jdd Voir le message d'origine
    Commentaires 13 Commentaires
    1. Avatar de galagann
      galagann -
      Salux et merci JDD pour cette article très complet.
    1. Avatar de marc.collin
      marc.collin -
      j'utilise la tumbleweed et je dirais que je suis moyennement content....

      j'ai des soucis avec le bluetooth, tty ne fonctionne pu... et en dual screen il y a des problème avec kde....
    1. Avatar de Mister-Magoo
      Mister-Magoo -
      Hello,
      J'ai aussi un souci de bluetooth depuis hier, le problème de KDE et dual screen dure depuis un petit moment.
      Par contre, le souci de NetworkManager et VPN a rapidement été corrigé...
    1. Avatar de marc.collin
      marc.collin -
      Citation Envoyé par Mister-Magoo Voir le message
      Hello,
      J'ai aussi un souci de bluetooth depuis hier, le problème de KDE et dual screen dure depuis un petit moment.
      Par contre, le souci de NetworkManager et VPN a rapidement été corrigé...
      j'ai recré mon répertoire home... et j'ai moins de problème...

      niveau dual screen j'ai pas assez au tty.. et des fois lorsque je me loggue et reviens d'un s2ram, plasma n'est pu actif... je dois le redémarrer...
    1. Avatar de kikoun
      kikoun -
      Hello,
      Je aussi un peu déçu de la Leap car avec la 13.2 je n'avais pas de soucis ni avec le multiscreen ni avec les plasma (ou kwin je ne sais pas exactement qui) qui plantouillent de temps en temps, d(autant que ces problèmes ne sont toujours pas résolu.
      Pour un geek qui veut tâter les nouveautés c'est ok.

      Mais pour quelqu'un qui utilise le PC pour autre chose que pour le fun, c'est pas bon ! Je veux dire que ces problèmes n'étant pas résolus, et comme ils sont très gênants (plantage graphique, donc obligé de faire un double Ctrl Alt backspace, donc retour au login, donc perte du boulot en cours, et en plus perte de temps ! ), il ne fallait pas sortir une Leap dans cet état.
      Il fallait:
      - Soit retarder la sortie de la leap.
      - soit sortir la Leap avec une version plus ancienne mais plus stable de KDE
      - ou alors avertir les utilisateurs de KDE que cette version ne serait pas stable !

      Bref, j'aurai du rester en 13.2...

      kikoun
    1. Avatar de Nico02
      Nico02 -
      J'utilise sur 2 postes à usage professionnels Opensuse, toujours du 13.1 et pas l'intention de changer quoi que ce soit tant que cela fonctionne, car rien à redire.
    1. Avatar de kikoun
      kikoun -
      Citation Envoyé par Nico02 Voir le message
      J'utilise sur 2 postes à usage professionnels Opensuse, toujours du 13.1 et pas l'intention de changer quoi que ce soit tant que cela fonctionne, car rien à redire.
      Sage décision, pour de la production il ne faut jamais se précipiter sur les dernières versions...
      Cela dit, à mon avis la Leap n'est toujours pas suffisamment stable même hors production !
    1. Avatar de manchette
      manchette -
      ;=)
      Je vous conseille d'ouvrir des sujet dédiés quand aux problèmes recensés chez vous : quelqu'un aura peut être une idée liée à votre soucis. Le soucis est parfois déjà connu.
      De toute façon cela permettra de mieux informer la communauté
    1. Avatar de Grenouille
      Grenouille -
      @kikoun

      La faute n'est pas à openSUSE, mais à KDE. Plasma 5 m'a fait autant de misères quelle que soit la distribution.
    1. Avatar de marc.collin
      marc.collin -
      Citation Envoyé par Grenouille Voir le message
      @kikoun

      La faute n'est pas à openSUSE, mais à KDE. Plasma 5 m'a fait autant de misères quelle que soit la distribution.
      les problèmes se situes avec des vieilles cartes vidéo qui supporte mal l'open gl... ainsi que le multi écran
    1. Avatar de passionlinux
      passionlinux -
      Citation Envoyé par marc.collin Voir le message
      les problèmes se situes avec des vieilles cartes vidéo qui supporte mal l'open gl... ainsi que le multi écran
      De mon coté, je n'ai aucun soucis depuis quelque temps avec mes ecrans, avant j'avais juste yast qui ne voulais pas se lancer sur l'ecran "esclave".
    1. Avatar de kikoun
      kikoun -
      Hello,
      Envoyé par Grenouille
      @kikoun

      La faute n'est pas à openSUSE, mais à KDE. Plasma 5 m'a fait autant de misères quelle que soit la distribution.
      les problèmes se situes avec des vieilles cartes vidéo qui supporte mal l'open gl... ainsi que le multi écran
      Je suis d'accord sur le fait que le problème viennent de plasma 5. Par contre, Opensuse est responsable de ce qu'il choisit de mettre dans ces distributions...
      Sachant le manque de maturité de Plasma 5, il aurait peut-être été judicieux de proposer au moment de l'installation :
      - sur la leap, la version KDE précédente en choix par défaut, éventuellement la possibilité de choisir Plasma 5 (en avertissant sur la jeunesse de plasma 5),
      - sur la Tumbleweed, cette fois, Plasma 5 par défaut.
      D'autre part, qu'il y ait des bugs avec certaines vielles cartes vidéo, pour un nouveau soft qui gère l'affichage, cela se comprend bien, vu ne nombre de modèles de cartes graphiques! Je trouve ça 'presque rassurant' dans la mesure où ce serait un miracle d'arriver à ne pas avoir de bug !
      Par contre les configurations multi-écran commencent à être courantes (en tout cas chez les geeks et même dans le monde professionnel), donc je pense qu'il est facile de se rendre compte que la configuration saute à chaque logging !

      Bien entendu, je sais que la critique est facile, et que c'est plus compliqué de faire, que de critiquer. Donc rassurez-vous, ce que je dis n'est qu'une remarque qui vaut ce qu'elle vaut et qui n'engage que moi.
      De toute façon, hormis les problèmes avec Plasma 5, je trouve que cette Leap est très bien. Donc j'attends sagement que les chosent se stabilisent un peu, et tout va aller bien !

      Kikoun
    1. Avatar de Grenouille
      Grenouille -
      Sachant le manque de maturité de Plasma 5, il aurait peut-être été judicieux de proposer au moment de l'installation :
      - sur la leap, la version KDE précédente en choix par défaut, éventuellement la possibilité de choisir Plasma 5 (en avertissant sur la jeunesse de plasma 5),
      - sur la Tumbleweed, cette fois, Plasma 5 par défaut.
      Je suis d'accord avec toi. C'est d'ailleurs ce qui avait été fait lors de la transition KDE3 --> KDE4, je me souviens qu'en installant mon openSUSE 11.1, j'ai eu le choix entre KDE3 et KDE4. J'avais choisi KDE4, c'était la 4.1 à l'époque. Vu que je n'avais pas connu KDE3 et que je découvrais, je n'ai pas été trop gêné. Par contre, maintenant que j'ai vu le bureau s'améliorer de version en version pour atteindre la 4.14 finale, la transition avec la 5.4 pleine de bogues a été assez violente o_o